<template>
	<view>
		<view class="tab">
			<u-tabs :list="tab" @click="click" :lineHeight="5"></u-tabs>
		</view>
		<view class="goodsList">
			<view class="item" v-for="(item, index) in list" :key="index" @click="detail(item)">
				<view class="title">{{ item.createName }}</view>
				<view class="state" style="color: red" v-if="item.isPay == 0">待下单</view>
				<view class="state" style="color: #4581fb" v-if="item.isPay == 1 && item.payTax == 0">已支付</view>
				<view class="state" style="color: #13ce66" v-if="item.payTax == 1 && item.orderFinish == 1">已完成</view>
				<image src="../../../../static/news.jpg" mode="aspectFill" class="pic"></image>
				<view class="con">
					<view class="productName omit">{{ item.goodsName }}</view>
					<view class="desc omit">
						<text>数量：{{ item.goodsQuantity }}</text>
						<text>{{ item.tradeAreaName }}</text>
					</view>
					<view class="price">¥ {{ item.resalePrice }}</view>
				</view>
				<view class="clear"></view>
				<view class="op">
					<view class="date">{{ item.createTime }}</view>
					<view class="an" style="color: #4581fb" @click.stop="payTax(item.id)" v-if="item.isPay == 1 && item.payTax == 0">去缴费税</view>
				</view>
			</view>
			<view class="loading" v-if="loadMore"><u-loadmore :status="loadMore ? 'loading' : 'nomore'" /></view>
			<u-empty v-if="!loadMore && list.length == 0"></u-empty>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			tab: [
				{ name: '全部', goodsStatus: '' },
				{ name: '已确认', goodsStatus: 0 },
				{ name: '已完成', goodsStatus: 0 }
			],
			param: { pageNo: 1, pageSize: 10 },
			list: [],
			loadMore: true
		};
	},
	onLoad() {
		this.getData();
		uni.$on('goodsHandle', res => {
			this.refresh();
		});
	},
	methods: {
		getData() {
			this.http.request({
				url: '/level-two-server/app/TbOrders/getLeaderOrderList',
				loading: 'false',
				data: this.param,
				success: res => {
					this.loadMore = parseInt(res.data.pageCount) > this.param.pageNo;
					this.list.push(...res.data.data);
				}
			});
		},
		//点击tab切换
		click(e) {
			this.param.goodsStatus = e.goodsStatus;
			this.refresh();
		},
		payTax(id) {
			uni.showModal({
				title: '提示',
				content: '确定缴费?',
				success: res => {
					if (res.confirm) {
						this.http.request({
							url: '/level-two-server/app/TbOrders/payTax?id=' + id,
							success: res => {
								uni.showToast({ title: '缴费成功' });
								this.refresh();
							}
						});
					}
				}
			});
		},
		detail(item) {
			uni.navigateTo({ url: '/pages/market/two/leader/detail?id=' + item.id });
		},
		//刷新数据
		refresh() {
			this.loadMore = true;
			this.param.pageNo = 1;
			this.list = [];
			this.getData();
		}
	},
	//下拉刷新
	onPullDownRefresh() {
		setTimeout(() => {
			this.refresh();
			uni.stopPullDownRefresh();
		}, 1000);
	},
	//上拉加载
	onReachBottom() {
		if (this.loadMore) {
			this.param.pageNo++;
			this.getData();
		}
	},
	onNavigationBarButtonTap() {
		uni.navigateTo({ url: '/pages/goodsManage/oneMarket/editGoods' });
	}
};
</script>

<style lang="scss">
page {
	background-color: $pg;
}
</style>
